Package javassist

# Interface CodeConverter.ArrayAccessReplacementMethodNames

All Known Implementing Classes:
  `CodeConverter.DefaultArrayAccessReplacementMethodNames`

Enclosing class:
  `CodeConverter`

public static interface CodeConverter.ArrayAccessReplacementMethodNames
Interface containing the method names to be used as array access replacements.

Version:
  $Revision: 1.16 $
Author:
  Kabir Khan

## Method Summary

Modifier and Type
Method
Description
`String`
`byteOrBooleanRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)B` to replace reading from a byte[].
`String`
`byteOrBooleanWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;IB)V` to replace writing to a byte[].
`String`
`charRead()`
`String`
`charWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;IC)V` to replace writing to a byte[].
`String`
`doubleRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)D` to replace reading from a double[].
`String`
`doubleWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;ID)V` to replace writing to a double[].
`String`
`floatRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)F` to replace reading from a float[].
`String`
`floatWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;IF)V` to replace writing to a float[].
`String`
`intRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)I` to replace reading from a int[].
`String`
`intWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;II)V` to replace writing to a int[].
`String`
`longRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)J` to replace reading from a long[].
`String`
`longWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;IJ)V` to replace writing to a long[].
`String`
`objectRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)Ljava/lang/Object;` to replace reading from a Object[] (or any subclass of object).
`String`
`objectWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;ILjava/lang/Object;)V` to replace writing to a Object[] (or any subclass of object).
`String`
`shortRead()`
Returns the name of a static method with the signature `(Ljava/lang/Object;I)S` to replace reading from a short[].
`String`
`shortWrite()`
Returns the name of a static method with the signature `(Ljava/lang/Object;IS)V` to replace writing to a short[].

## Method Details

### byteOrBooleanRead

String byteOrBooleanRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)B` to replace reading from a byte[].

### byteOrBooleanWrite

String byteOrBooleanWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;IB)V` to replace writing to a byte[].

### charRead

String charRead()

Returns:
  the name of a static method with the signature `(Ljava/lang/Object;I)C` to replace reading from a char[].

### charWrite

String charWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;IC)V` to replace writing to a byte[].

### doubleRead

String doubleRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)D` to replace reading from a double[].

### doubleWrite

String doubleWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;ID)V` to replace writing to a double[].

### floatRead

String floatRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)F` to replace reading from a float[].

### floatWrite

String floatWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;IF)V` to replace writing to a float[].

### intRead

String intRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)I` to replace reading from a int[].

### intWrite

String intWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;II)V` to replace writing to a int[].

### longRead

String longRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)J` to replace reading from a long[].

### longWrite

String longWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;IJ)V` to replace writing to a long[].

### objectRead

String objectRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)Ljava/lang/Object;` to replace reading from a Object[] (or any subclass of object).

### objectWrite

String objectWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;ILjava/lang/Object;)V` to replace writing to a Object[] (or any subclass of object).

### shortRead

String shortRead()
Returns the name of a static method with the signature `(Ljava/lang/Object;I)S` to replace reading from a short[].

### shortWrite

String shortWrite()
Returns the name of a static method with the signature `(Ljava/lang/Object;IS)V` to replace writing to a short[].